cURL
curl https://api.exponent.finance/tranching-markets
import requests
response = requests.get("https://api.exponent.finance/tranching-markets", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/tranching-markets");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"address": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN",
"startDateUnixTs": 1781705283,
"categories": [
"Stablecoins"
],
"marketState": 1,
"statusFlags": 0,
"syMint": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"syProgram": "XP1BRLn8eCYSygrd8er5P4GKdzqKbC3DLoSsS5UYVZy",
"mintLpSenior": "9J8VvigcjFTkN3jhZH2ieTi2hdGVBVpEXbcA1JDo7QpA",
"mintLpJunior": "71j6BZaUPaSG1f1Y3e12KvU66d23kHgzWXhMDHn23wyB",
"tokenSyEscrow": "HZ7iDTzNcRKNfMTioG9NbxExtUuScrocHbSMrj7WfVdt",
"addressLookupTable": "6xy7xgTMANTqg7XLk2Z5pSuDotqFzgxanLQpftAR2iYV",
"selfAddress": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN",
"mintBase": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
"quoteAssetMint": "USD1111111111111111111111111111111111111119",
"quoteAssetSymbol": "USD",
"syDecimals": 9,
"platform": "onrefinance",
"baseTokenSymbol": "ONyc",
"decimals": 9,
"platformName": "OnRe",
"subPlatformName": "",
"marketSize": "7996334.0593215357291",
"effectiveMarketSize": "7996334.0593215357291",
"srRawNetAssetValue": "5393725.4819335924232",
"jrRawNetAssetValue": "2602608.5773879433059",
"srEffectiveNetAssetValue": "5379633.3227411985128",
"jrEffectiveNetAssetValue": "2616700.7365803372164",
"srLpCapacity": "0.000010214882586909609",
"jrLpCapacity": "0.000003861449053073302",
"srRemainingLpCapacity": "0.000004964729026720417",
"jrRemainingLpCapacity": "0.000001390650943743247",
"srLpPriceNetAsset": "1.024662090559",
"jrLpPriceNetAsset": "1.059050809007",
"srSyncedLpPriceNetAsset": "1.024662090559",
"jrSyncedLpPriceNetAsset": "1.059050809007",
"srSyncedLpPriceNetAssetRaw": "1024662090559",
"jrSyncedLpPriceNetAssetRaw": "1059050809007",
"srMaxCapacityNetAssetValue": "10466802.946317525965",
"jrMaxCapacityNetAssetValue": "4089470.7435965945628",
"srRemainingCapacityNetAssetValue": "5087169.6235782918548",
"jrRemainingCapacityNetAssetValue": "1472770.0070176337802",
"underlyingApy": 0.11020250497612305,
"underlyingApyPeriodLabel": "Last 7d",
"underlyingApyLookbacks": [
{
"label": "30D trailing APY",
"value": 0.11104112273007494
},
{
"label": "7D trailing APY",
"value": 0.11020250497612305
}
],
"underlyingApy7d": 0.11020250497612305,
"underlyingApy30d": 0.11104112273007494,
"utilizationPct": 61.117681113,
"coverageRatio": "0.3272375462515827",
"minCoverageRatio": "0.2",
"targetUtilizationPct": 0.9,
"currentSyExchangeRate": 1.155508115,
"data": {
"addressLookupTable": "6xy7xgTMANTqg7XLk2Z5pSuDotqFzgxanLQpftAR2iYV",
"syMint": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"syProgram": "XP1BRLn8eCYSygrd8er5P4GKdzqKbC3DLoSsS5UYVZy",
"tokenSyEscrow": "HZ7iDTzNcRKNfMTioG9NbxExtUuScrocHbSMrj7WfVdt",
"mintLpSenior": "9J8VvigcjFTkN3jhZH2ieTi2hdGVBVpEXbcA1JDo7QpA",
"mintLpJunior": "71j6BZaUPaSG1f1Y3e12KvU66d23kHgzWXhMDHn23wyB",
"selfAddress": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN",
"returnModelStorage": "H8v9K1o7zkMBfer1iaUF9T4SKaU2ETxKj7NPELhjXvL2",
"signerBump": [
255
],
"returnModelStorageBump": [
255
],
"seedId": [
111,
110,
121,
99,
67,
49,
48,
49
],
"statusFlags": 0,
"marketState": 1,
"financials": {
"srRawNetAsset": [
[
"4890993060994583496",
"292394444",
"0",
"0"
]
],
"jrRawNetAsset": [
[
"12666840716334963112",
"141087693",
"0",
"0"
]
],
"srEffectiveNetAsset": [
[
"14472780677970902003",
"291630506",
"0",
"0"
]
],
"jrEffectiveNetAsset": [
[
"3085053099358644605",
"141851631",
"0",
"0"
]
],
"srImpermanentLoss": [
[
"0",
"0",
"0",
"0"
]
],
"jrImpermanentLoss": [
[
"0",
"0",
"0",
"0"
]
],
"utilization": [
[
"611176811130",
"0",
"0",
"0"
]
],
"currentJuniorReturnShare": [
[
"316009265923",
"0",
"0",
"0"
]
],
"twJuniorReturnShareAccrued": [
[
"19153366894363259",
"0",
"0",
"0"
]
],
"lastSyncTs": "1791993057",
"lastDistributionTs": "1791936025",
"fixedTermEndTs": "0"
},
"trancheSupplyState": {
"totalSeniorLpSupply": "5250153560189192",
"totalJuniorLpSupply": "2470798109330055",
"maxSeniorLpSupply": "15641456465058938",
"maxJuniorLpSupply": "3861449053073302",
"pendingSeniorProtocolFeeLpShares": "0",
"pendingJuniorProtocolFeeLpShares": "2098356199119",
"pendingSeniorDepositProtocolFeeLpShares": "0",
"pendingJuniorDepositProtocolFeeLpShares": "0",
"pendingSeniorWithdrawProtocolFeeLpShares": "0",
"pendingJuniorWithdrawProtocolFeeLpShares": "0"
},
"trancheAssetState": {
"seniorSyAmount": "4667838686648767",
"juniorSyAmount": "2252349891448355"
},
"riskConfig": {
"minCoverage": [
[
"200000000000",
"0",
"0",
"0"
]
],
"beta": [
[
"1000000000000",
"0",
"0",
"0"
]
],
"liquidationUtilization": [
[
"1100000000000",
"0",
"0",
"0"
]
],
"fixedTermDurationSec": 604800,
"minDepositAmount": "1",
"srSelfLiquidationBonus": [
[
"0",
"0",
"0",
"0"
]
],
"srNetAssetDustTolerance": [
[
"0",
"0",
"0",
"0"
]
],
"jrNetAssetDustTolerance": [
[
"0",
"0",
"0",
"0"
]
]
},
"protocolFeeConfig": {
"protocolFeeRecipient": "7fXDVWu2VaD51ipnm1N7C2U19bzWzuxb3Mz9fYEdQnmn",
"srProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"jrProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorReturnProtocolFee": [
[
"150000000000",
"0",
"0",
"0"
]
],
"seniorDepositProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorDepositProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"seniorWithdrawProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorWithdrawProtocolFee": [
[
"0",
"0",
"0",
"0"
]
]
},
"lastUpdatedSlot": "456894433",
"reservedPadding": [
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
],
"roles": {
"admin": [
"7me39wqdi9Chh7WeZEmf16v7GASNa88EXj3KZeVK6JHq"
],
"sentinel": [
"7me39wqdi9Chh7WeZEmf16v7GASNa88EXj3KZeVK6JHq"
]
},
"syCpiAccounts": {
"getSyState": [
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
},
{
"altIndex": 1,
"isSigner": false,
"isWritable": false
}
],
"depositSy": [
{
"altIndex": 4,
"isSigner": true,
"isWritable": true
},
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
}
],
"withdrawSy": [
{
"altIndex": 4,
"isSigner": true,
"isWritable": true
},
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
}
],
"claimEmission": [],
"getPositionState": []
},
"returnModel": {
"__kind": "PiecewiseLinearCurve",
"fields": [
{
"points": [
"218794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"220394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"221994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"223594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"225194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"226794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"228394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"229994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"231594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"233194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"234794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"236394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"237994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"239594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"241194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"242794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"244394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"245994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"247594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"249194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"250794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"252394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"253994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"255594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"257194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"258794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"260337050723",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"261879534383",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"263422018043",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"264964501703",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"266506985363",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"268049469023",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"269591952683",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"271134436343",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"272676920003",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"274219403663",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"275761887323",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"277304370983",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"278846854643",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"280389338303",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"281931821963",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"283474305623",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"285016789283",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"286559272943",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"288101756603",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"289644240263",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"291186723923",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"292729207583",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"294271691243",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"295814174903",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"297356658563",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"299028553988",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"300700449413",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"302372344838",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"304044240263",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"305716135688",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"307388031113",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"309059926538",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"310731821963",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"312403717388",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"314075612813",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"315747508238",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"317419403663",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"319091299088",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"320763194513",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"322435089938",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"324106985363",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"325778880788",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"327450776213",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"329122671638",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"330794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"333794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"336794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"339794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"342794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"345794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"348794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"351794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"354794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"357794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"360794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"363794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"366794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"369794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"372794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"375794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"378794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"381794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"384794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"386794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"388794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"413094567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"437394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"461694567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"485994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"510294567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"534594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"558894567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"583194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"607494567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"631794567063"
]
}
]
},
"syCpiAccountsResolved": {
"getSyState": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "BmLiVHRb9ppTrEA5jhTgNJ2WFtjUZEkfzJZGswEidxzu"
},
{
"isSigner": false,
"isWritable": false,
"pubkey": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF"
}
],
"withdrawSy": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN"
},
{
"isSigner": false,
"isWritable": true,
"pubkey": "BmLiVHRb9ppTrEA5jhTgNJ2WFtjUZEkfzJZGswEidxzu"
}
],
"depositSy": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN"
},
{
"isSigner": false,
"isWritable": true,
"pubkey": "BmLiVHRb9ppTrEA5jhTgNJ2WFtjUZEkfzJZGswEidxzu"
}
],
"claimEmission": [],
"getPositionState": []
},
"flavor": {
"flavor": "generic",
"currentSyExchangeRate": 1.155508115,
"mintBase": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
"baseTokenProgram": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"ixMintSy": "a=>f.ixMintSy(a)",
"ixRedeemSy": "a=>f.ixRedeemSy(a)",
"preIxs": "async({signer:b})=>f.getPreInstructions(a.connection,b)",
"postIxs": "async()=>[]",
"genericSyState": {
"selfAddress": "BmLiVHRb9ppTrEA5jhTgNJ2WFtjUZEkfzJZGswEidxzu",
"account": {
"mintSy": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"yieldBearingMint": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
"tokenSyEscrow": "5muRaHt3Zb2c1NK8T11ygTMUpf2sAhxQU6Z7Ayx2iCvU",
"interfaceAccounts": [
"3t4JZcueEzTbVP6kLxXrL3VpWx45jDer4eqysweBchNH"
],
"interfaceType": {
"scope": {
"priceChain": [
108,
65535,
65535,
65535
],
"maximumAgeSeconds": {
"negative": 0,
"words": [
600,
0,
0
],
"length": 1,
"red": null
}
}
},
"initInterfaceType": {
"pyth": {
"lastSlot": {
"negative": 0,
"words": [
36168766,
6,
0
],
"length": 2,
"red": null
},
"maximumAgeSeconds": {
"negative": 0,
"words": [
3600,
0,
0
],
"length": 1,
"red": null
}
}
},
"lastInterfaceChangeTimestamp": 1790782786,
"index": {
"0": [
{
"negative": 0,
"words": [
27694648,
17218,
0
],
"length": 2,
"red": null
},
{
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
}
]
},
"maxSySupply": {
"negative": 0,
"words": [
67108863,
67108863,
4095
],
"length": 3,
"red": null
},
"minMintSize": {
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
},
"minRedeemSize": {
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
},
"emissions": [],
"lastSlotCached": {
"negative": 0,
"words": [
54241249,
6,
0
],
"length": 2,
"red": null
},
"rateLimit": {
"timestamp": {
"negative": 0,
"words": [
47170157,
26
],
"length": 2,
"red": null
},
"windowSeconds": 86400,
"maxBpsUp": 383,
"maxBpsDown": 0
},
"hook": {
"enabled": false,
"interfaceEmissionsAccountsUntil": 0,
"preMintHookDiscriminator": [],
"postRedeemHookDiscriminator": [],
"programId": "11111111111111111111111111111111"
}
},
"tokenProgramBase": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"syRate": 1.155508115,
"additionalData": null
},
"emissions": []
}
},
"seniorApy": 0.0755749465550488,
"juniorApy": 0.17062518961685824,
"seniorPointsBoost": {
"platform": "onrefinance",
"pointsName": "OnRe Points",
"multiplier": 1,
"pointsPerDay": 1,
"type": "sy"
},
"juniorPointsBoosts": [
{
"platform": "onrefinance",
"pointsName": "OnRe Points",
"multiplier": 6,
"pointsPerDay": 1,
"type": "sy"
}
],
"discoveryOrder": null,
"releaseDateUnixTs": 1781705283
},
{
"address": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc",
"startDateUnixTs": 1787047167,
"categories": [],
"marketState": 1,
"statusFlags": 0,
"syMint": "5NF7dsQ1w3bP7BZ3twpMSFL5sJ3CgtuV9iCfLSpc3aSL",
"syProgram": "XP1BRLn8eCYSygrd8er5P4GKdzqKbC3DLoSsS5UYVZy",
"mintLpSenior": "F17tzaQaFf1x3tC5gQFVvXAF2hcgq1qX6Mc9595zo3FD",
"mintLpJunior": "F6mFPQK5ZscUAzihbP3jrJKSjmyiJi18HwLRsjQZwZ4B",
"tokenSyEscrow": "BGVCxGmqDciJkRp2ZBLbfCorXF2Dj1b8wW3YHx1JZuEd",
"addressLookupTable": "B1Z3EZyA6udpHdEBDcsnT1YwzuuPg6zMk1oNKNT5odFc",
"selfAddress": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc",
"mintBase": "GNE6oDS6jHrfaV3GQVVCCp37fDnT7PiPuewMKBj2bqNm",
"quoteAssetMint": "USD1111111111111111111111111111111111111111",
"quoteAssetSymbol": "USD",
"syDecimals": 6,
"platform": "hastra",
"baseTokenSymbol": "AUTO",
"decimals": 6,
"platformName": "Hastra",
"subPlatformName": "",
"marketSize": "1003498.1647968173837",
"effectiveMarketSize": "1003498.1647968173837",
"srRawNetAssetValue": "618445.68613983226442",
"jrRawNetAssetValue": "385052.47865698511923",
"srEffectiveNetAssetValue": "617300.37343333949705",
"jrEffectiveNetAssetValue": "386197.79136347788661",
"srLpCapacity": "0.00000267694128371",
"jrLpCapacity": "5.97656976759e-7",
"srRemainingLpCapacity": "0.000002065682469725",
"jrRemainingLpCapacity": "2.18448922268e-7",
"srLpPriceNetAsset": "1.009883799317",
"jrLpPriceNetAsset": "1.018432458882",
"srSyncedLpPriceNetAsset": "1.009891988781",
"jrSyncedLpPriceNetAsset": "1.018446404229",
"srSyncedLpPriceNetAssetRaw": "1009891988781",
"jrSyncedLpPriceNetAssetRaw": "1018446404229",
"srMaxCapacityNetAssetValue": "2703421.5568558550581",
"jrMaxCapacityNetAssetValue": "608681.59894257857231",
"srRemainingCapacityNetAssetValue": "2086116.1775406280722",
"jrRemainingCapacityNetAssetValue": "222478.51939154492747",
"underlyingApy": 0.09992164170506523,
"underlyingApyPeriodLabel": "Last 7d",
"underlyingApyLookbacks": [
{
"label": "30D trailing APY",
"value": 0.09099920426811114
},
{
"label": "7D trailing APY",
"value": 0.09992164170506523
}
],
"underlyingApy7d": 0.09992164170506523,
"underlyingApy30d": 0.09099920426811114,
"utilizationPct": 32.480059028,
"coverageRatio": "0.38485151733353995",
"minCoverageRatio": "0.125",
"targetUtilizationPct": 0.84,
"currentSyExchangeRate": 1.024852939599,
"data": {
"addressLookupTable": "B1Z3EZyA6udpHdEBDcsnT1YwzuuPg6zMk1oNKNT5odFc",
"syMint": "5NF7dsQ1w3bP7BZ3twpMSFL5sJ3CgtuV9iCfLSpc3aSL",
"syProgram": "XP1BRLn8eCYSygrd8er5P4GKdzqKbC3DLoSsS5UYVZy",
"tokenSyEscrow": "BGVCxGmqDciJkRp2ZBLbfCorXF2Dj1b8wW3YHx1JZuEd",
"mintLpSenior": "F17tzaQaFf1x3tC5gQFVvXAF2hcgq1qX6Mc9595zo3FD",
"mintLpJunior": "F6mFPQK5ZscUAzihbP3jrJKSjmyiJi18HwLRsjQZwZ4B",
"selfAddress": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc",
"returnModelStorage": "7ABHuGbUhLun6qoYYhtPCpNdQsjcdLjzUdjQsaxueCXo",
"signerBump": [
255
],
"returnModelStorageBump": [
255
],
"seedId": [
1,
0,
0,
0,
0,
0,
0,
0
],
"statusFlags": 0,
"marketState": 1,
"financials": {
"srRawNetAsset": [
[
"144324645836944448",
"33526",
"0",
"0"
]
],
"jrRawNetAsset": [
[
"13589606445648348496",
"20873",
"0",
"0"
]
],
"srEffectiveNetAsset": [
[
"16976494796771319513",
"33463",
"0",
"0"
]
],
"jrEffectiveNetAsset": [
[
"15204180368423525047",
"20935",
"0",
"0"
]
],
"srImpermanentLoss": [
[
"0",
"0",
"0",
"0"
]
],
"jrImpermanentLoss": [
[
"0",
"0",
"0",
"0"
]
],
"utilization": [
[
"324800590280",
"0",
"0",
"0"
]
],
"currentJuniorReturnShare": [
[
"210942722830",
"0",
"0",
"0"
]
],
"twJuniorReturnShareAccrued": [
[
"393197235355120",
"0",
"0",
"0"
]
],
"lastSyncTs": "1791992631",
"lastDistributionTs": "1791990767",
"fixedTermEndTs": "0"
},
"trancheSupplyState": {
"totalSeniorLpSupply": "611258813985",
"totalJuniorLpSupply": "379208054491",
"maxSeniorLpSupply": "3387251042535",
"maxJuniorLpSupply": "597656976759",
"pendingSeniorProtocolFeeLpShares": "0",
"pendingJuniorProtocolFeeLpShares": "287558072",
"pendingSeniorDepositProtocolFeeLpShares": "0",
"pendingJuniorDepositProtocolFeeLpShares": "0",
"pendingSeniorWithdrawProtocolFeeLpShares": "0",
"pendingJuniorWithdrawProtocolFeeLpShares": "0"
},
"trancheAssetState": {
"seniorSyAmount": "603454414164",
"juniorSyAmount": "375718714089"
},
"riskConfig": {
"minCoverage": [
[
"125000000000",
"0",
"0",
"0"
]
],
"beta": [
[
"1000000000000",
"0",
"0",
"0"
]
],
"liquidationUtilization": [
[
"1200000000000",
"0",
"0",
"0"
]
],
"fixedTermDurationSec": 604800,
"minDepositAmount": "1",
"srSelfLiquidationBonus": [
[
"0",
"0",
"0",
"0"
]
],
"srNetAssetDustTolerance": [
[
"0",
"0",
"0",
"0"
]
],
"jrNetAssetDustTolerance": [
[
"0",
"0",
"0",
"0"
]
]
},
"protocolFeeConfig": {
"protocolFeeRecipient": "7fXDVWu2VaD51ipnm1N7C2U19bzWzuxb3Mz9fYEdQnmn",
"srProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"jrProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorReturnProtocolFee": [
[
"150000000000",
"0",
"0",
"0"
]
],
"seniorDepositProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorDepositProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"seniorWithdrawProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorWithdrawProtocolFee": [
[
"0",
"0",
"0",
"0"
]
]
},
"lastUpdatedSlot": "456892462",
"reservedPadding": [
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
],
"roles": {
"admin": [
"DheMp3RPekY4sfym67RrvHoCnyS1sMv8D23AR8tqweW7"
],
"sentinel": [
"DheMp3RPekY4sfym67RrvHoCnyS1sMv8D23AR8tqweW7"
]
},
"syCpiAccounts": {
"getSyState": [
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
},
{
"altIndex": 1,
"isSigner": false,
"isWritable": false
}
],
"depositSy": [
{
"altIndex": 4,
"isSigner": true,
"isWritable": true
},
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
}
],
"withdrawSy": [
{
"altIndex": 4,
"isSigner": true,
"isWritable": true
},
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
}
],
"claimEmission": [],
"getPositionState": []
},
"returnModel": {
"__kind": "PiecewiseLinearCurve",
"fields": [
{
"points": [
"124294953454",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"126987562477",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"129680171499",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"132372780522",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"135065389544",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"137757998567",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"140450607590",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"143143216612",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"145835825635",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"148528434657",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"151221043680",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"153913652703",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"156606261725",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"159298870748",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"161991479770",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"164684088793",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"167376697815",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"170069306838",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"172761915861",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"175454524883",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"178147133906",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"180839742928",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"183532351951",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"186224960974",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"188917569996",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"191610179019",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"194205994906",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"196801810794",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"199397626682",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"201993442569",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"204589258457",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"207185074344",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"209780890232",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"212376706119",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"214972522007",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"217568337895",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"220164153782",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"222759969670",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"225355785557",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"227951601445",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"230547417332",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"233143233220",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"235739049108",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"238334864995",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"240930680883",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"243526496770",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"246122312658",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"248718128545",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"251313944433",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"253909760321",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"268122676580",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"279739776952",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"291356877323",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"302973977695",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"314591078067",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"326208178439",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"337825278810",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"349442379182",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"361059479554",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"372676579926",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"384293680297",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"395910780669",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"407527881041",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"419144981413",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"430762081784",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"442379182156"
]
}
]
},
"syCpiAccountsResolved": {
"getSyState": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "2JqgD3RkGVUk62rrkULcNLS8y9qKgpd5VQfVF3PiMCdZ"
},
{
"isSigner": false,
"isWritable": false,
"pubkey": "5NF7dsQ1w3bP7BZ3twpMSFL5sJ3CgtuV9iCfLSpc3aSL"
}
],
"withdrawSy": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc"
},
{
"isSigner": false,
"isWritable": true,
"pubkey": "2JqgD3RkGVUk62rrkULcNLS8y9qKgpd5VQfVF3PiMCdZ"
}
],
"depositSy": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc"
},
{
"isSigner": false,
"isWritable": true,
"pubkey": "2JqgD3RkGVUk62rrkULcNLS8y9qKgpd5VQfVF3PiMCdZ"
}
],
"claimEmission": [],
"getPositionState": []
},
"flavor": {
"flavor": "generic",
"currentSyExchangeRate": 1.024852939599,
"mintBase": "GNE6oDS6jHrfaV3GQVVCCp37fDnT7PiPuewMKBj2bqNm",
"baseTokenProgram": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"ixMintSy": "a=>f.ixMintSy(a)",
"ixRedeemSy": "a=>f.ixRedeemSy(a)",
"preIxs": "async({signer:b})=>f.getPreInstructions(a.connection,b)",
"postIxs": "async()=>[]",
"genericSyState": {
"selfAddress": "2JqgD3RkGVUk62rrkULcNLS8y9qKgpd5VQfVF3PiMCdZ",
"account": {
"mintSy": "5NF7dsQ1w3bP7BZ3twpMSFL5sJ3CgtuV9iCfLSpc3aSL",
"yieldBearingMint": "GNE6oDS6jHrfaV3GQVVCCp37fDnT7PiPuewMKBj2bqNm",
"tokenSyEscrow": "DDUMt9bExDCNXLatJGmmqqKbUhf8yWvfLihkLkMG944P",
"interfaceAccounts": [],
"interfaceType": {
"chainlinkDataStream": {
"feedHash": [
0,
7,
97,
133,
212,
183,
164,
150,
29,
185,
105,
169,
3,
83,
232,
74,
24,
160,
18,
83,
136,
83,
94,
109,
218,
15,
15,
174,
235,
78,
143,
81
],
"lastStreamedExchangeRate": {
"0": [
{
"negative": 0,
"words": [
33477455,
15271,
0
],
"length": 2,
"red": null
},
{
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
}
]
},
"decimals": 18,
"lastSlot": {
"negative": 0,
"words": [
54239278,
6,
0
],
"length": 2,
"red": null
},
"lastStreamedTimestamp": 1791992719,
"freshnessWindowSeconds": 7200
}
},
"initInterfaceType": {
"scope": {
"priceChain": [
451,
65535,
65535,
65535
],
"maximumAgeSeconds": {
"negative": 0,
"words": [
600,
0,
0
],
"length": 1,
"red": null
}
}
},
"lastInterfaceChangeTimestamp": 1787398937,
"index": {
"0": [
{
"negative": 0,
"words": [
22964432,
15271,
0
],
"length": 2,
"red": null
},
{
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
}
]
},
"maxSySupply": {
"negative": 0,
"words": [
67108863,
67108863,
4095
],
"length": 3,
"red": null
},
"minMintSize": {
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
},
"minRedeemSize": {
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
},
"emissions": [],
"lastSlotCached": {
"negative": 0,
"words": [
54239278,
6,
0
],
"length": 2,
"red": null
},
"rateLimit": {
"timestamp": {
"negative": 0,
"words": [
47159622,
26
],
"length": 2,
"red": null
},
"windowSeconds": 86400,
"maxBpsUp": 1080,
"maxBpsDown": 2000
},
"hook": {
"enabled": false,
"interfaceEmissionsAccountsUntil": 0,
"preMintHookDiscriminator": [],
"postRedeemHookDiscriminator": [],
"programId": "11111111111111111111111111111111"
}
},
"tokenProgramBase": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"syRate": 1.024852939599,
"additionalData": null
},
"emissions": []
}
},
"seniorApy": 0.07899018213077492,
"juniorApy": 0.1283155946387623,
"seniorPointsBoost": null,
"juniorPointsBoosts": [],
"discoveryOrder": null,
"releaseDateUnixTs": 1787047167
}
]
{
"error": "<message>"
}
{
"error": "<message>"
}
Tranching
Tranching markets
Retrieve active senior/junior markets with on-chain state, capacities, APYs, and points boosts.
GET
/
tranching-markets
cURL
curl https://api.exponent.finance/tranching-markets
import requests
response = requests.get("https://api.exponent.finance/tranching-markets", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/tranching-markets");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"address": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN",
"startDateUnixTs": 1781705283,
"categories": [
"Stablecoins"
],
"marketState": 1,
"statusFlags": 0,
"syMint": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"syProgram": "XP1BRLn8eCYSygrd8er5P4GKdzqKbC3DLoSsS5UYVZy",
"mintLpSenior": "9J8VvigcjFTkN3jhZH2ieTi2hdGVBVpEXbcA1JDo7QpA",
"mintLpJunior": "71j6BZaUPaSG1f1Y3e12KvU66d23kHgzWXhMDHn23wyB",
"tokenSyEscrow": "HZ7iDTzNcRKNfMTioG9NbxExtUuScrocHbSMrj7WfVdt",
"addressLookupTable": "6xy7xgTMANTqg7XLk2Z5pSuDotqFzgxanLQpftAR2iYV",
"selfAddress": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN",
"mintBase": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
"quoteAssetMint": "USD1111111111111111111111111111111111111119",
"quoteAssetSymbol": "USD",
"syDecimals": 9,
"platform": "onrefinance",
"baseTokenSymbol": "ONyc",
"decimals": 9,
"platformName": "OnRe",
"subPlatformName": "",
"marketSize": "7996334.0593215357291",
"effectiveMarketSize": "7996334.0593215357291",
"srRawNetAssetValue": "5393725.4819335924232",
"jrRawNetAssetValue": "2602608.5773879433059",
"srEffectiveNetAssetValue": "5379633.3227411985128",
"jrEffectiveNetAssetValue": "2616700.7365803372164",
"srLpCapacity": "0.000010214882586909609",
"jrLpCapacity": "0.000003861449053073302",
"srRemainingLpCapacity": "0.000004964729026720417",
"jrRemainingLpCapacity": "0.000001390650943743247",
"srLpPriceNetAsset": "1.024662090559",
"jrLpPriceNetAsset": "1.059050809007",
"srSyncedLpPriceNetAsset": "1.024662090559",
"jrSyncedLpPriceNetAsset": "1.059050809007",
"srSyncedLpPriceNetAssetRaw": "1024662090559",
"jrSyncedLpPriceNetAssetRaw": "1059050809007",
"srMaxCapacityNetAssetValue": "10466802.946317525965",
"jrMaxCapacityNetAssetValue": "4089470.7435965945628",
"srRemainingCapacityNetAssetValue": "5087169.6235782918548",
"jrRemainingCapacityNetAssetValue": "1472770.0070176337802",
"underlyingApy": 0.11020250497612305,
"underlyingApyPeriodLabel": "Last 7d",
"underlyingApyLookbacks": [
{
"label": "30D trailing APY",
"value": 0.11104112273007494
},
{
"label": "7D trailing APY",
"value": 0.11020250497612305
}
],
"underlyingApy7d": 0.11020250497612305,
"underlyingApy30d": 0.11104112273007494,
"utilizationPct": 61.117681113,
"coverageRatio": "0.3272375462515827",
"minCoverageRatio": "0.2",
"targetUtilizationPct": 0.9,
"currentSyExchangeRate": 1.155508115,
"data": {
"addressLookupTable": "6xy7xgTMANTqg7XLk2Z5pSuDotqFzgxanLQpftAR2iYV",
"syMint": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"syProgram": "XP1BRLn8eCYSygrd8er5P4GKdzqKbC3DLoSsS5UYVZy",
"tokenSyEscrow": "HZ7iDTzNcRKNfMTioG9NbxExtUuScrocHbSMrj7WfVdt",
"mintLpSenior": "9J8VvigcjFTkN3jhZH2ieTi2hdGVBVpEXbcA1JDo7QpA",
"mintLpJunior": "71j6BZaUPaSG1f1Y3e12KvU66d23kHgzWXhMDHn23wyB",
"selfAddress": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN",
"returnModelStorage": "H8v9K1o7zkMBfer1iaUF9T4SKaU2ETxKj7NPELhjXvL2",
"signerBump": [
255
],
"returnModelStorageBump": [
255
],
"seedId": [
111,
110,
121,
99,
67,
49,
48,
49
],
"statusFlags": 0,
"marketState": 1,
"financials": {
"srRawNetAsset": [
[
"4890993060994583496",
"292394444",
"0",
"0"
]
],
"jrRawNetAsset": [
[
"12666840716334963112",
"141087693",
"0",
"0"
]
],
"srEffectiveNetAsset": [
[
"14472780677970902003",
"291630506",
"0",
"0"
]
],
"jrEffectiveNetAsset": [
[
"3085053099358644605",
"141851631",
"0",
"0"
]
],
"srImpermanentLoss": [
[
"0",
"0",
"0",
"0"
]
],
"jrImpermanentLoss": [
[
"0",
"0",
"0",
"0"
]
],
"utilization": [
[
"611176811130",
"0",
"0",
"0"
]
],
"currentJuniorReturnShare": [
[
"316009265923",
"0",
"0",
"0"
]
],
"twJuniorReturnShareAccrued": [
[
"19153366894363259",
"0",
"0",
"0"
]
],
"lastSyncTs": "1791993057",
"lastDistributionTs": "1791936025",
"fixedTermEndTs": "0"
},
"trancheSupplyState": {
"totalSeniorLpSupply": "5250153560189192",
"totalJuniorLpSupply": "2470798109330055",
"maxSeniorLpSupply": "15641456465058938",
"maxJuniorLpSupply": "3861449053073302",
"pendingSeniorProtocolFeeLpShares": "0",
"pendingJuniorProtocolFeeLpShares": "2098356199119",
"pendingSeniorDepositProtocolFeeLpShares": "0",
"pendingJuniorDepositProtocolFeeLpShares": "0",
"pendingSeniorWithdrawProtocolFeeLpShares": "0",
"pendingJuniorWithdrawProtocolFeeLpShares": "0"
},
"trancheAssetState": {
"seniorSyAmount": "4667838686648767",
"juniorSyAmount": "2252349891448355"
},
"riskConfig": {
"minCoverage": [
[
"200000000000",
"0",
"0",
"0"
]
],
"beta": [
[
"1000000000000",
"0",
"0",
"0"
]
],
"liquidationUtilization": [
[
"1100000000000",
"0",
"0",
"0"
]
],
"fixedTermDurationSec": 604800,
"minDepositAmount": "1",
"srSelfLiquidationBonus": [
[
"0",
"0",
"0",
"0"
]
],
"srNetAssetDustTolerance": [
[
"0",
"0",
"0",
"0"
]
],
"jrNetAssetDustTolerance": [
[
"0",
"0",
"0",
"0"
]
]
},
"protocolFeeConfig": {
"protocolFeeRecipient": "7fXDVWu2VaD51ipnm1N7C2U19bzWzuxb3Mz9fYEdQnmn",
"srProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"jrProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorReturnProtocolFee": [
[
"150000000000",
"0",
"0",
"0"
]
],
"seniorDepositProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorDepositProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"seniorWithdrawProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorWithdrawProtocolFee": [
[
"0",
"0",
"0",
"0"
]
]
},
"lastUpdatedSlot": "456894433",
"reservedPadding": [
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
],
"roles": {
"admin": [
"7me39wqdi9Chh7WeZEmf16v7GASNa88EXj3KZeVK6JHq"
],
"sentinel": [
"7me39wqdi9Chh7WeZEmf16v7GASNa88EXj3KZeVK6JHq"
]
},
"syCpiAccounts": {
"getSyState": [
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
},
{
"altIndex": 1,
"isSigner": false,
"isWritable": false
}
],
"depositSy": [
{
"altIndex": 4,
"isSigner": true,
"isWritable": true
},
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
}
],
"withdrawSy": [
{
"altIndex": 4,
"isSigner": true,
"isWritable": true
},
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
}
],
"claimEmission": [],
"getPositionState": []
},
"returnModel": {
"__kind": "PiecewiseLinearCurve",
"fields": [
{
"points": [
"218794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"220394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"221994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"223594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"225194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"226794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"228394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"229994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"231594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"233194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"234794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"236394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"237994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"239594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"241194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"242794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"244394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"245994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"247594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"249194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"250794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"252394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"253994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"255594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"257194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"258794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"260337050723",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"261879534383",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"263422018043",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"264964501703",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"266506985363",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"268049469023",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"269591952683",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"271134436343",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"272676920003",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"274219403663",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"275761887323",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"277304370983",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"278846854643",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"280389338303",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"281931821963",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"283474305623",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"285016789283",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"286559272943",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"288101756603",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"289644240263",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"291186723923",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"292729207583",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"294271691243",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"295814174903",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"297356658563",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"299028553988",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"300700449413",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"302372344838",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"304044240263",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"305716135688",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"307388031113",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"309059926538",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"310731821963",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"312403717388",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"314075612813",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"315747508238",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"317419403663",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"319091299088",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"320763194513",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"322435089938",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"324106985363",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"325778880788",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"327450776213",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"329122671638",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"330794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"333794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"336794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"339794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"342794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"345794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"348794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"351794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"354794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"357794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"360794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"363794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"366794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"369794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"372794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"375794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"378794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"381794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"384794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"386794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"388794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"413094567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"437394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"461694567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"485994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"510294567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"534594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"558894567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"583194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"607494567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"631794567063"
]
}
]
},
"syCpiAccountsResolved": {
"getSyState": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "BmLiVHRb9ppTrEA5jhTgNJ2WFtjUZEkfzJZGswEidxzu"
},
{
"isSigner": false,
"isWritable": false,
"pubkey": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF"
}
],
"withdrawSy": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN"
},
{
"isSigner": false,
"isWritable": true,
"pubkey": "BmLiVHRb9ppTrEA5jhTgNJ2WFtjUZEkfzJZGswEidxzu"
}
],
"depositSy": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN"
},
{
"isSigner": false,
"isWritable": true,
"pubkey": "BmLiVHRb9ppTrEA5jhTgNJ2WFtjUZEkfzJZGswEidxzu"
}
],
"claimEmission": [],
"getPositionState": []
},
"flavor": {
"flavor": "generic",
"currentSyExchangeRate": 1.155508115,
"mintBase": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
"baseTokenProgram": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"ixMintSy": "a=>f.ixMintSy(a)",
"ixRedeemSy": "a=>f.ixRedeemSy(a)",
"preIxs": "async({signer:b})=>f.getPreInstructions(a.connection,b)",
"postIxs": "async()=>[]",
"genericSyState": {
"selfAddress": "BmLiVHRb9ppTrEA5jhTgNJ2WFtjUZEkfzJZGswEidxzu",
"account": {
"mintSy": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"yieldBearingMint": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
"tokenSyEscrow": "5muRaHt3Zb2c1NK8T11ygTMUpf2sAhxQU6Z7Ayx2iCvU",
"interfaceAccounts": [
"3t4JZcueEzTbVP6kLxXrL3VpWx45jDer4eqysweBchNH"
],
"interfaceType": {
"scope": {
"priceChain": [
108,
65535,
65535,
65535
],
"maximumAgeSeconds": {
"negative": 0,
"words": [
600,
0,
0
],
"length": 1,
"red": null
}
}
},
"initInterfaceType": {
"pyth": {
"lastSlot": {
"negative": 0,
"words": [
36168766,
6,
0
],
"length": 2,
"red": null
},
"maximumAgeSeconds": {
"negative": 0,
"words": [
3600,
0,
0
],
"length": 1,
"red": null
}
}
},
"lastInterfaceChangeTimestamp": 1790782786,
"index": {
"0": [
{
"negative": 0,
"words": [
27694648,
17218,
0
],
"length": 2,
"red": null
},
{
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
}
]
},
"maxSySupply": {
"negative": 0,
"words": [
67108863,
67108863,
4095
],
"length": 3,
"red": null
},
"minMintSize": {
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
},
"minRedeemSize": {
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
},
"emissions": [],
"lastSlotCached": {
"negative": 0,
"words": [
54241249,
6,
0
],
"length": 2,
"red": null
},
"rateLimit": {
"timestamp": {
"negative": 0,
"words": [
47170157,
26
],
"length": 2,
"red": null
},
"windowSeconds": 86400,
"maxBpsUp": 383,
"maxBpsDown": 0
},
"hook": {
"enabled": false,
"interfaceEmissionsAccountsUntil": 0,
"preMintHookDiscriminator": [],
"postRedeemHookDiscriminator": [],
"programId": "11111111111111111111111111111111"
}
},
"tokenProgramBase": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"syRate": 1.155508115,
"additionalData": null
},
"emissions": []
}
},
"seniorApy": 0.0755749465550488,
"juniorApy": 0.17062518961685824,
"seniorPointsBoost": {
"platform": "onrefinance",
"pointsName": "OnRe Points",
"multiplier": 1,
"pointsPerDay": 1,
"type": "sy"
},
"juniorPointsBoosts": [
{
"platform": "onrefinance",
"pointsName": "OnRe Points",
"multiplier": 6,
"pointsPerDay": 1,
"type": "sy"
}
],
"discoveryOrder": null,
"releaseDateUnixTs": 1781705283
},
{
"address": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc",
"startDateUnixTs": 1787047167,
"categories": [],
"marketState": 1,
"statusFlags": 0,
"syMint": "5NF7dsQ1w3bP7BZ3twpMSFL5sJ3CgtuV9iCfLSpc3aSL",
"syProgram": "XP1BRLn8eCYSygrd8er5P4GKdzqKbC3DLoSsS5UYVZy",
"mintLpSenior": "F17tzaQaFf1x3tC5gQFVvXAF2hcgq1qX6Mc9595zo3FD",
"mintLpJunior": "F6mFPQK5ZscUAzihbP3jrJKSjmyiJi18HwLRsjQZwZ4B",
"tokenSyEscrow": "BGVCxGmqDciJkRp2ZBLbfCorXF2Dj1b8wW3YHx1JZuEd",
"addressLookupTable": "B1Z3EZyA6udpHdEBDcsnT1YwzuuPg6zMk1oNKNT5odFc",
"selfAddress": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc",
"mintBase": "GNE6oDS6jHrfaV3GQVVCCp37fDnT7PiPuewMKBj2bqNm",
"quoteAssetMint": "USD1111111111111111111111111111111111111111",
"quoteAssetSymbol": "USD",
"syDecimals": 6,
"platform": "hastra",
"baseTokenSymbol": "AUTO",
"decimals": 6,
"platformName": "Hastra",
"subPlatformName": "",
"marketSize": "1003498.1647968173837",
"effectiveMarketSize": "1003498.1647968173837",
"srRawNetAssetValue": "618445.68613983226442",
"jrRawNetAssetValue": "385052.47865698511923",
"srEffectiveNetAssetValue": "617300.37343333949705",
"jrEffectiveNetAssetValue": "386197.79136347788661",
"srLpCapacity": "0.00000267694128371",
"jrLpCapacity": "5.97656976759e-7",
"srRemainingLpCapacity": "0.000002065682469725",
"jrRemainingLpCapacity": "2.18448922268e-7",
"srLpPriceNetAsset": "1.009883799317",
"jrLpPriceNetAsset": "1.018432458882",
"srSyncedLpPriceNetAsset": "1.009891988781",
"jrSyncedLpPriceNetAsset": "1.018446404229",
"srSyncedLpPriceNetAssetRaw": "1009891988781",
"jrSyncedLpPriceNetAssetRaw": "1018446404229",
"srMaxCapacityNetAssetValue": "2703421.5568558550581",
"jrMaxCapacityNetAssetValue": "608681.59894257857231",
"srRemainingCapacityNetAssetValue": "2086116.1775406280722",
"jrRemainingCapacityNetAssetValue": "222478.51939154492747",
"underlyingApy": 0.09992164170506523,
"underlyingApyPeriodLabel": "Last 7d",
"underlyingApyLookbacks": [
{
"label": "30D trailing APY",
"value": 0.09099920426811114
},
{
"label": "7D trailing APY",
"value": 0.09992164170506523
}
],
"underlyingApy7d": 0.09992164170506523,
"underlyingApy30d": 0.09099920426811114,
"utilizationPct": 32.480059028,
"coverageRatio": "0.38485151733353995",
"minCoverageRatio": "0.125",
"targetUtilizationPct": 0.84,
"currentSyExchangeRate": 1.024852939599,
"data": {
"addressLookupTable": "B1Z3EZyA6udpHdEBDcsnT1YwzuuPg6zMk1oNKNT5odFc",
"syMint": "5NF7dsQ1w3bP7BZ3twpMSFL5sJ3CgtuV9iCfLSpc3aSL",
"syProgram": "XP1BRLn8eCYSygrd8er5P4GKdzqKbC3DLoSsS5UYVZy",
"tokenSyEscrow": "BGVCxGmqDciJkRp2ZBLbfCorXF2Dj1b8wW3YHx1JZuEd",
"mintLpSenior": "F17tzaQaFf1x3tC5gQFVvXAF2hcgq1qX6Mc9595zo3FD",
"mintLpJunior": "F6mFPQK5ZscUAzihbP3jrJKSjmyiJi18HwLRsjQZwZ4B",
"selfAddress": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc",
"returnModelStorage": "7ABHuGbUhLun6qoYYhtPCpNdQsjcdLjzUdjQsaxueCXo",
"signerBump": [
255
],
"returnModelStorageBump": [
255
],
"seedId": [
1,
0,
0,
0,
0,
0,
0,
0
],
"statusFlags": 0,
"marketState": 1,
"financials": {
"srRawNetAsset": [
[
"144324645836944448",
"33526",
"0",
"0"
]
],
"jrRawNetAsset": [
[
"13589606445648348496",
"20873",
"0",
"0"
]
],
"srEffectiveNetAsset": [
[
"16976494796771319513",
"33463",
"0",
"0"
]
],
"jrEffectiveNetAsset": [
[
"15204180368423525047",
"20935",
"0",
"0"
]
],
"srImpermanentLoss": [
[
"0",
"0",
"0",
"0"
]
],
"jrImpermanentLoss": [
[
"0",
"0",
"0",
"0"
]
],
"utilization": [
[
"324800590280",
"0",
"0",
"0"
]
],
"currentJuniorReturnShare": [
[
"210942722830",
"0",
"0",
"0"
]
],
"twJuniorReturnShareAccrued": [
[
"393197235355120",
"0",
"0",
"0"
]
],
"lastSyncTs": "1791992631",
"lastDistributionTs": "1791990767",
"fixedTermEndTs": "0"
},
"trancheSupplyState": {
"totalSeniorLpSupply": "611258813985",
"totalJuniorLpSupply": "379208054491",
"maxSeniorLpSupply": "3387251042535",
"maxJuniorLpSupply": "597656976759",
"pendingSeniorProtocolFeeLpShares": "0",
"pendingJuniorProtocolFeeLpShares": "287558072",
"pendingSeniorDepositProtocolFeeLpShares": "0",
"pendingJuniorDepositProtocolFeeLpShares": "0",
"pendingSeniorWithdrawProtocolFeeLpShares": "0",
"pendingJuniorWithdrawProtocolFeeLpShares": "0"
},
"trancheAssetState": {
"seniorSyAmount": "603454414164",
"juniorSyAmount": "375718714089"
},
"riskConfig": {
"minCoverage": [
[
"125000000000",
"0",
"0",
"0"
]
],
"beta": [
[
"1000000000000",
"0",
"0",
"0"
]
],
"liquidationUtilization": [
[
"1200000000000",
"0",
"0",
"0"
]
],
"fixedTermDurationSec": 604800,
"minDepositAmount": "1",
"srSelfLiquidationBonus": [
[
"0",
"0",
"0",
"0"
]
],
"srNetAssetDustTolerance": [
[
"0",
"0",
"0",
"0"
]
],
"jrNetAssetDustTolerance": [
[
"0",
"0",
"0",
"0"
]
]
},
"protocolFeeConfig": {
"protocolFeeRecipient": "7fXDVWu2VaD51ipnm1N7C2U19bzWzuxb3Mz9fYEdQnmn",
"srProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"jrProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorReturnProtocolFee": [
[
"150000000000",
"0",
"0",
"0"
]
],
"seniorDepositProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorDepositProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"seniorWithdrawProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorWithdrawProtocolFee": [
[
"0",
"0",
"0",
"0"
]
]
},
"lastUpdatedSlot": "456892462",
"reservedPadding": [
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
],
"roles": {
"admin": [
"DheMp3RPekY4sfym67RrvHoCnyS1sMv8D23AR8tqweW7"
],
"sentinel": [
"DheMp3RPekY4sfym67RrvHoCnyS1sMv8D23AR8tqweW7"
]
},
"syCpiAccounts": {
"getSyState": [
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
},
{
"altIndex": 1,
"isSigner": false,
"isWritable": false
}
],
"depositSy": [
{
"altIndex": 4,
"isSigner": true,
"isWritable": true
},
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
}
],
"withdrawSy": [
{
"altIndex": 4,
"isSigner": true,
"isWritable": true
},
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
}
],
"claimEmission": [],
"getPositionState": []
},
"returnModel": {
"__kind": "PiecewiseLinearCurve",
"fields": [
{
"points": [
"124294953454",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"126987562477",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"129680171499",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"132372780522",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"135065389544",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"137757998567",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"140450607590",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"143143216612",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"145835825635",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"148528434657",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"151221043680",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"153913652703",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"156606261725",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"159298870748",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"161991479770",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"164684088793",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"167376697815",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"170069306838",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"172761915861",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"175454524883",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"178147133906",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"180839742928",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"183532351951",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"186224960974",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"188917569996",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"191610179019",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"194205994906",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"196801810794",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"199397626682",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"201993442569",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"204589258457",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"207185074344",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"209780890232",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"212376706119",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"214972522007",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"217568337895",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"220164153782",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"222759969670",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"225355785557",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"227951601445",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"230547417332",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"233143233220",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"235739049108",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"238334864995",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"240930680883",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"243526496770",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"246122312658",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"248718128545",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"251313944433",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"253909760321",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"268122676580",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"279739776952",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"291356877323",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"302973977695",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"314591078067",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"326208178439",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"337825278810",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"349442379182",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"361059479554",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"372676579926",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"384293680297",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"395910780669",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"407527881041",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"419144981413",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"430762081784",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"442379182156"
]
}
]
},
"syCpiAccountsResolved": {
"getSyState": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "2JqgD3RkGVUk62rrkULcNLS8y9qKgpd5VQfVF3PiMCdZ"
},
{
"isSigner": false,
"isWritable": false,
"pubkey": "5NF7dsQ1w3bP7BZ3twpMSFL5sJ3CgtuV9iCfLSpc3aSL"
}
],
"withdrawSy": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc"
},
{
"isSigner": false,
"isWritable": true,
"pubkey": "2JqgD3RkGVUk62rrkULcNLS8y9qKgpd5VQfVF3PiMCdZ"
}
],
"depositSy": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc"
},
{
"isSigner": false,
"isWritable": true,
"pubkey": "2JqgD3RkGVUk62rrkULcNLS8y9qKgpd5VQfVF3PiMCdZ"
}
],
"claimEmission": [],
"getPositionState": []
},
"flavor": {
"flavor": "generic",
"currentSyExchangeRate": 1.024852939599,
"mintBase": "GNE6oDS6jHrfaV3GQVVCCp37fDnT7PiPuewMKBj2bqNm",
"baseTokenProgram": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"ixMintSy": "a=>f.ixMintSy(a)",
"ixRedeemSy": "a=>f.ixRedeemSy(a)",
"preIxs": "async({signer:b})=>f.getPreInstructions(a.connection,b)",
"postIxs": "async()=>[]",
"genericSyState": {
"selfAddress": "2JqgD3RkGVUk62rrkULcNLS8y9qKgpd5VQfVF3PiMCdZ",
"account": {
"mintSy": "5NF7dsQ1w3bP7BZ3twpMSFL5sJ3CgtuV9iCfLSpc3aSL",
"yieldBearingMint": "GNE6oDS6jHrfaV3GQVVCCp37fDnT7PiPuewMKBj2bqNm",
"tokenSyEscrow": "DDUMt9bExDCNXLatJGmmqqKbUhf8yWvfLihkLkMG944P",
"interfaceAccounts": [],
"interfaceType": {
"chainlinkDataStream": {
"feedHash": [
0,
7,
97,
133,
212,
183,
164,
150,
29,
185,
105,
169,
3,
83,
232,
74,
24,
160,
18,
83,
136,
83,
94,
109,
218,
15,
15,
174,
235,
78,
143,
81
],
"lastStreamedExchangeRate": {
"0": [
{
"negative": 0,
"words": [
33477455,
15271,
0
],
"length": 2,
"red": null
},
{
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
}
]
},
"decimals": 18,
"lastSlot": {
"negative": 0,
"words": [
54239278,
6,
0
],
"length": 2,
"red": null
},
"lastStreamedTimestamp": 1791992719,
"freshnessWindowSeconds": 7200
}
},
"initInterfaceType": {
"scope": {
"priceChain": [
451,
65535,
65535,
65535
],
"maximumAgeSeconds": {
"negative": 0,
"words": [
600,
0,
0
],
"length": 1,
"red": null
}
}
},
"lastInterfaceChangeTimestamp": 1787398937,
"index": {
"0": [
{
"negative": 0,
"words": [
22964432,
15271,
0
],
"length": 2,
"red": null
},
{
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
}
]
},
"maxSySupply": {
"negative": 0,
"words": [
67108863,
67108863,
4095
],
"length": 3,
"red": null
},
"minMintSize": {
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
},
"minRedeemSize": {
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
},
"emissions": [],
"lastSlotCached": {
"negative": 0,
"words": [
54239278,
6,
0
],
"length": 2,
"red": null
},
"rateLimit": {
"timestamp": {
"negative": 0,
"words": [
47159622,
26
],
"length": 2,
"red": null
},
"windowSeconds": 86400,
"maxBpsUp": 1080,
"maxBpsDown": 2000
},
"hook": {
"enabled": false,
"interfaceEmissionsAccountsUntil": 0,
"preMintHookDiscriminator": [],
"postRedeemHookDiscriminator": [],
"programId": "11111111111111111111111111111111"
}
},
"tokenProgramBase": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"syRate": 1.024852939599,
"additionalData": null
},
"emissions": []
}
},
"seniorApy": 0.07899018213077492,
"juniorApy": 0.1283155946387623,
"seniorPointsBoost": null,
"juniorPointsBoosts": [],
"discoveryOrder": null,
"releaseDateUnixTs": 1787047167
}
]
{
"error": "<message>"
}
{
"error": "<message>"
}
Query parameters
string
Filter to one market. The result remains an array.
boolean
Set
true to include active markets hidden from the production frontend. Default: false.cURL
curl https://api.exponent.finance/tranching-markets
import requests
response = requests.get("https://api.exponent.finance/tranching-markets", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/tranching-markets");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"address": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN",
"startDateUnixTs": 1781705283,
"categories": [
"Stablecoins"
],
"marketState": 1,
"statusFlags": 0,
"syMint": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"syProgram": "XP1BRLn8eCYSygrd8er5P4GKdzqKbC3DLoSsS5UYVZy",
"mintLpSenior": "9J8VvigcjFTkN3jhZH2ieTi2hdGVBVpEXbcA1JDo7QpA",
"mintLpJunior": "71j6BZaUPaSG1f1Y3e12KvU66d23kHgzWXhMDHn23wyB",
"tokenSyEscrow": "HZ7iDTzNcRKNfMTioG9NbxExtUuScrocHbSMrj7WfVdt",
"addressLookupTable": "6xy7xgTMANTqg7XLk2Z5pSuDotqFzgxanLQpftAR2iYV",
"selfAddress": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN",
"mintBase": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
"quoteAssetMint": "USD1111111111111111111111111111111111111119",
"quoteAssetSymbol": "USD",
"syDecimals": 9,
"platform": "onrefinance",
"baseTokenSymbol": "ONyc",
"decimals": 9,
"platformName": "OnRe",
"subPlatformName": "",
"marketSize": "7996334.0593215357291",
"effectiveMarketSize": "7996334.0593215357291",
"srRawNetAssetValue": "5393725.4819335924232",
"jrRawNetAssetValue": "2602608.5773879433059",
"srEffectiveNetAssetValue": "5379633.3227411985128",
"jrEffectiveNetAssetValue": "2616700.7365803372164",
"srLpCapacity": "0.000010214882586909609",
"jrLpCapacity": "0.000003861449053073302",
"srRemainingLpCapacity": "0.000004964729026720417",
"jrRemainingLpCapacity": "0.000001390650943743247",
"srLpPriceNetAsset": "1.024662090559",
"jrLpPriceNetAsset": "1.059050809007",
"srSyncedLpPriceNetAsset": "1.024662090559",
"jrSyncedLpPriceNetAsset": "1.059050809007",
"srSyncedLpPriceNetAssetRaw": "1024662090559",
"jrSyncedLpPriceNetAssetRaw": "1059050809007",
"srMaxCapacityNetAssetValue": "10466802.946317525965",
"jrMaxCapacityNetAssetValue": "4089470.7435965945628",
"srRemainingCapacityNetAssetValue": "5087169.6235782918548",
"jrRemainingCapacityNetAssetValue": "1472770.0070176337802",
"underlyingApy": 0.11020250497612305,
"underlyingApyPeriodLabel": "Last 7d",
"underlyingApyLookbacks": [
{
"label": "30D trailing APY",
"value": 0.11104112273007494
},
{
"label": "7D trailing APY",
"value": 0.11020250497612305
}
],
"underlyingApy7d": 0.11020250497612305,
"underlyingApy30d": 0.11104112273007494,
"utilizationPct": 61.117681113,
"coverageRatio": "0.3272375462515827",
"minCoverageRatio": "0.2",
"targetUtilizationPct": 0.9,
"currentSyExchangeRate": 1.155508115,
"data": {
"addressLookupTable": "6xy7xgTMANTqg7XLk2Z5pSuDotqFzgxanLQpftAR2iYV",
"syMint": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"syProgram": "XP1BRLn8eCYSygrd8er5P4GKdzqKbC3DLoSsS5UYVZy",
"tokenSyEscrow": "HZ7iDTzNcRKNfMTioG9NbxExtUuScrocHbSMrj7WfVdt",
"mintLpSenior": "9J8VvigcjFTkN3jhZH2ieTi2hdGVBVpEXbcA1JDo7QpA",
"mintLpJunior": "71j6BZaUPaSG1f1Y3e12KvU66d23kHgzWXhMDHn23wyB",
"selfAddress": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN",
"returnModelStorage": "H8v9K1o7zkMBfer1iaUF9T4SKaU2ETxKj7NPELhjXvL2",
"signerBump": [
255
],
"returnModelStorageBump": [
255
],
"seedId": [
111,
110,
121,
99,
67,
49,
48,
49
],
"statusFlags": 0,
"marketState": 1,
"financials": {
"srRawNetAsset": [
[
"4890993060994583496",
"292394444",
"0",
"0"
]
],
"jrRawNetAsset": [
[
"12666840716334963112",
"141087693",
"0",
"0"
]
],
"srEffectiveNetAsset": [
[
"14472780677970902003",
"291630506",
"0",
"0"
]
],
"jrEffectiveNetAsset": [
[
"3085053099358644605",
"141851631",
"0",
"0"
]
],
"srImpermanentLoss": [
[
"0",
"0",
"0",
"0"
]
],
"jrImpermanentLoss": [
[
"0",
"0",
"0",
"0"
]
],
"utilization": [
[
"611176811130",
"0",
"0",
"0"
]
],
"currentJuniorReturnShare": [
[
"316009265923",
"0",
"0",
"0"
]
],
"twJuniorReturnShareAccrued": [
[
"19153366894363259",
"0",
"0",
"0"
]
],
"lastSyncTs": "1791993057",
"lastDistributionTs": "1791936025",
"fixedTermEndTs": "0"
},
"trancheSupplyState": {
"totalSeniorLpSupply": "5250153560189192",
"totalJuniorLpSupply": "2470798109330055",
"maxSeniorLpSupply": "15641456465058938",
"maxJuniorLpSupply": "3861449053073302",
"pendingSeniorProtocolFeeLpShares": "0",
"pendingJuniorProtocolFeeLpShares": "2098356199119",
"pendingSeniorDepositProtocolFeeLpShares": "0",
"pendingJuniorDepositProtocolFeeLpShares": "0",
"pendingSeniorWithdrawProtocolFeeLpShares": "0",
"pendingJuniorWithdrawProtocolFeeLpShares": "0"
},
"trancheAssetState": {
"seniorSyAmount": "4667838686648767",
"juniorSyAmount": "2252349891448355"
},
"riskConfig": {
"minCoverage": [
[
"200000000000",
"0",
"0",
"0"
]
],
"beta": [
[
"1000000000000",
"0",
"0",
"0"
]
],
"liquidationUtilization": [
[
"1100000000000",
"0",
"0",
"0"
]
],
"fixedTermDurationSec": 604800,
"minDepositAmount": "1",
"srSelfLiquidationBonus": [
[
"0",
"0",
"0",
"0"
]
],
"srNetAssetDustTolerance": [
[
"0",
"0",
"0",
"0"
]
],
"jrNetAssetDustTolerance": [
[
"0",
"0",
"0",
"0"
]
]
},
"protocolFeeConfig": {
"protocolFeeRecipient": "7fXDVWu2VaD51ipnm1N7C2U19bzWzuxb3Mz9fYEdQnmn",
"srProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"jrProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorReturnProtocolFee": [
[
"150000000000",
"0",
"0",
"0"
]
],
"seniorDepositProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorDepositProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"seniorWithdrawProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorWithdrawProtocolFee": [
[
"0",
"0",
"0",
"0"
]
]
},
"lastUpdatedSlot": "456894433",
"reservedPadding": [
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
],
"roles": {
"admin": [
"7me39wqdi9Chh7WeZEmf16v7GASNa88EXj3KZeVK6JHq"
],
"sentinel": [
"7me39wqdi9Chh7WeZEmf16v7GASNa88EXj3KZeVK6JHq"
]
},
"syCpiAccounts": {
"getSyState": [
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
},
{
"altIndex": 1,
"isSigner": false,
"isWritable": false
}
],
"depositSy": [
{
"altIndex": 4,
"isSigner": true,
"isWritable": true
},
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
}
],
"withdrawSy": [
{
"altIndex": 4,
"isSigner": true,
"isWritable": true
},
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
}
],
"claimEmission": [],
"getPositionState": []
},
"returnModel": {
"__kind": "PiecewiseLinearCurve",
"fields": [
{
"points": [
"218794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"220394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"221994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"223594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"225194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"226794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"228394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"229994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"231594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"233194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"234794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"236394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"237994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"239594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"241194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"242794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"244394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"245994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"247594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"249194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"250794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"252394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"253994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"255594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"257194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"258794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"260337050723",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"261879534383",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"263422018043",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"264964501703",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"266506985363",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"268049469023",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"269591952683",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"271134436343",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"272676920003",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"274219403663",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"275761887323",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"277304370983",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"278846854643",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"280389338303",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"281931821963",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"283474305623",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"285016789283",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"286559272943",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"288101756603",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"289644240263",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"291186723923",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"292729207583",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"294271691243",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"295814174903",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"297356658563",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"299028553988",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"300700449413",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"302372344838",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"304044240263",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"305716135688",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"307388031113",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"309059926538",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"310731821963",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"312403717388",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"314075612813",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"315747508238",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"317419403663",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"319091299088",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"320763194513",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"322435089938",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"324106985363",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"325778880788",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"327450776213",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"329122671638",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"330794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"333794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"336794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"339794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"342794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"345794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"348794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"351794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"354794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"357794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"360794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"363794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"366794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"369794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"372794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"375794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"378794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"381794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"384794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"386794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"388794567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"413094567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"437394567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"461694567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"485994567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"510294567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"534594567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"558894567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"583194567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"607494567063",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"631794567063"
]
}
]
},
"syCpiAccountsResolved": {
"getSyState": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "BmLiVHRb9ppTrEA5jhTgNJ2WFtjUZEkfzJZGswEidxzu"
},
{
"isSigner": false,
"isWritable": false,
"pubkey": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF"
}
],
"withdrawSy": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN"
},
{
"isSigner": false,
"isWritable": true,
"pubkey": "BmLiVHRb9ppTrEA5jhTgNJ2WFtjUZEkfzJZGswEidxzu"
}
],
"depositSy": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "HM8iLNE2WEN6J1AuwSSCoM37wgeLQFwYZ4ymYLqAoapN"
},
{
"isSigner": false,
"isWritable": true,
"pubkey": "BmLiVHRb9ppTrEA5jhTgNJ2WFtjUZEkfzJZGswEidxzu"
}
],
"claimEmission": [],
"getPositionState": []
},
"flavor": {
"flavor": "generic",
"currentSyExchangeRate": 1.155508115,
"mintBase": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
"baseTokenProgram": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"ixMintSy": "a=>f.ixMintSy(a)",
"ixRedeemSy": "a=>f.ixRedeemSy(a)",
"preIxs": "async({signer:b})=>f.getPreInstructions(a.connection,b)",
"postIxs": "async()=>[]",
"genericSyState": {
"selfAddress": "BmLiVHRb9ppTrEA5jhTgNJ2WFtjUZEkfzJZGswEidxzu",
"account": {
"mintSy": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"yieldBearingMint": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
"tokenSyEscrow": "5muRaHt3Zb2c1NK8T11ygTMUpf2sAhxQU6Z7Ayx2iCvU",
"interfaceAccounts": [
"3t4JZcueEzTbVP6kLxXrL3VpWx45jDer4eqysweBchNH"
],
"interfaceType": {
"scope": {
"priceChain": [
108,
65535,
65535,
65535
],
"maximumAgeSeconds": {
"negative": 0,
"words": [
600,
0,
0
],
"length": 1,
"red": null
}
}
},
"initInterfaceType": {
"pyth": {
"lastSlot": {
"negative": 0,
"words": [
36168766,
6,
0
],
"length": 2,
"red": null
},
"maximumAgeSeconds": {
"negative": 0,
"words": [
3600,
0,
0
],
"length": 1,
"red": null
}
}
},
"lastInterfaceChangeTimestamp": 1790782786,
"index": {
"0": [
{
"negative": 0,
"words": [
27694648,
17218,
0
],
"length": 2,
"red": null
},
{
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
}
]
},
"maxSySupply": {
"negative": 0,
"words": [
67108863,
67108863,
4095
],
"length": 3,
"red": null
},
"minMintSize": {
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
},
"minRedeemSize": {
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
},
"emissions": [],
"lastSlotCached": {
"negative": 0,
"words": [
54241249,
6,
0
],
"length": 2,
"red": null
},
"rateLimit": {
"timestamp": {
"negative": 0,
"words": [
47170157,
26
],
"length": 2,
"red": null
},
"windowSeconds": 86400,
"maxBpsUp": 383,
"maxBpsDown": 0
},
"hook": {
"enabled": false,
"interfaceEmissionsAccountsUntil": 0,
"preMintHookDiscriminator": [],
"postRedeemHookDiscriminator": [],
"programId": "11111111111111111111111111111111"
}
},
"tokenProgramBase": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"syRate": 1.155508115,
"additionalData": null
},
"emissions": []
}
},
"seniorApy": 0.0755749465550488,
"juniorApy": 0.17062518961685824,
"seniorPointsBoost": {
"platform": "onrefinance",
"pointsName": "OnRe Points",
"multiplier": 1,
"pointsPerDay": 1,
"type": "sy"
},
"juniorPointsBoosts": [
{
"platform": "onrefinance",
"pointsName": "OnRe Points",
"multiplier": 6,
"pointsPerDay": 1,
"type": "sy"
}
],
"discoveryOrder": null,
"releaseDateUnixTs": 1781705283
},
{
"address": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc",
"startDateUnixTs": 1787047167,
"categories": [],
"marketState": 1,
"statusFlags": 0,
"syMint": "5NF7dsQ1w3bP7BZ3twpMSFL5sJ3CgtuV9iCfLSpc3aSL",
"syProgram": "XP1BRLn8eCYSygrd8er5P4GKdzqKbC3DLoSsS5UYVZy",
"mintLpSenior": "F17tzaQaFf1x3tC5gQFVvXAF2hcgq1qX6Mc9595zo3FD",
"mintLpJunior": "F6mFPQK5ZscUAzihbP3jrJKSjmyiJi18HwLRsjQZwZ4B",
"tokenSyEscrow": "BGVCxGmqDciJkRp2ZBLbfCorXF2Dj1b8wW3YHx1JZuEd",
"addressLookupTable": "B1Z3EZyA6udpHdEBDcsnT1YwzuuPg6zMk1oNKNT5odFc",
"selfAddress": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc",
"mintBase": "GNE6oDS6jHrfaV3GQVVCCp37fDnT7PiPuewMKBj2bqNm",
"quoteAssetMint": "USD1111111111111111111111111111111111111111",
"quoteAssetSymbol": "USD",
"syDecimals": 6,
"platform": "hastra",
"baseTokenSymbol": "AUTO",
"decimals": 6,
"platformName": "Hastra",
"subPlatformName": "",
"marketSize": "1003498.1647968173837",
"effectiveMarketSize": "1003498.1647968173837",
"srRawNetAssetValue": "618445.68613983226442",
"jrRawNetAssetValue": "385052.47865698511923",
"srEffectiveNetAssetValue": "617300.37343333949705",
"jrEffectiveNetAssetValue": "386197.79136347788661",
"srLpCapacity": "0.00000267694128371",
"jrLpCapacity": "5.97656976759e-7",
"srRemainingLpCapacity": "0.000002065682469725",
"jrRemainingLpCapacity": "2.18448922268e-7",
"srLpPriceNetAsset": "1.009883799317",
"jrLpPriceNetAsset": "1.018432458882",
"srSyncedLpPriceNetAsset": "1.009891988781",
"jrSyncedLpPriceNetAsset": "1.018446404229",
"srSyncedLpPriceNetAssetRaw": "1009891988781",
"jrSyncedLpPriceNetAssetRaw": "1018446404229",
"srMaxCapacityNetAssetValue": "2703421.5568558550581",
"jrMaxCapacityNetAssetValue": "608681.59894257857231",
"srRemainingCapacityNetAssetValue": "2086116.1775406280722",
"jrRemainingCapacityNetAssetValue": "222478.51939154492747",
"underlyingApy": 0.09992164170506523,
"underlyingApyPeriodLabel": "Last 7d",
"underlyingApyLookbacks": [
{
"label": "30D trailing APY",
"value": 0.09099920426811114
},
{
"label": "7D trailing APY",
"value": 0.09992164170506523
}
],
"underlyingApy7d": 0.09992164170506523,
"underlyingApy30d": 0.09099920426811114,
"utilizationPct": 32.480059028,
"coverageRatio": "0.38485151733353995",
"minCoverageRatio": "0.125",
"targetUtilizationPct": 0.84,
"currentSyExchangeRate": 1.024852939599,
"data": {
"addressLookupTable": "B1Z3EZyA6udpHdEBDcsnT1YwzuuPg6zMk1oNKNT5odFc",
"syMint": "5NF7dsQ1w3bP7BZ3twpMSFL5sJ3CgtuV9iCfLSpc3aSL",
"syProgram": "XP1BRLn8eCYSygrd8er5P4GKdzqKbC3DLoSsS5UYVZy",
"tokenSyEscrow": "BGVCxGmqDciJkRp2ZBLbfCorXF2Dj1b8wW3YHx1JZuEd",
"mintLpSenior": "F17tzaQaFf1x3tC5gQFVvXAF2hcgq1qX6Mc9595zo3FD",
"mintLpJunior": "F6mFPQK5ZscUAzihbP3jrJKSjmyiJi18HwLRsjQZwZ4B",
"selfAddress": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc",
"returnModelStorage": "7ABHuGbUhLun6qoYYhtPCpNdQsjcdLjzUdjQsaxueCXo",
"signerBump": [
255
],
"returnModelStorageBump": [
255
],
"seedId": [
1,
0,
0,
0,
0,
0,
0,
0
],
"statusFlags": 0,
"marketState": 1,
"financials": {
"srRawNetAsset": [
[
"144324645836944448",
"33526",
"0",
"0"
]
],
"jrRawNetAsset": [
[
"13589606445648348496",
"20873",
"0",
"0"
]
],
"srEffectiveNetAsset": [
[
"16976494796771319513",
"33463",
"0",
"0"
]
],
"jrEffectiveNetAsset": [
[
"15204180368423525047",
"20935",
"0",
"0"
]
],
"srImpermanentLoss": [
[
"0",
"0",
"0",
"0"
]
],
"jrImpermanentLoss": [
[
"0",
"0",
"0",
"0"
]
],
"utilization": [
[
"324800590280",
"0",
"0",
"0"
]
],
"currentJuniorReturnShare": [
[
"210942722830",
"0",
"0",
"0"
]
],
"twJuniorReturnShareAccrued": [
[
"393197235355120",
"0",
"0",
"0"
]
],
"lastSyncTs": "1791992631",
"lastDistributionTs": "1791990767",
"fixedTermEndTs": "0"
},
"trancheSupplyState": {
"totalSeniorLpSupply": "611258813985",
"totalJuniorLpSupply": "379208054491",
"maxSeniorLpSupply": "3387251042535",
"maxJuniorLpSupply": "597656976759",
"pendingSeniorProtocolFeeLpShares": "0",
"pendingJuniorProtocolFeeLpShares": "287558072",
"pendingSeniorDepositProtocolFeeLpShares": "0",
"pendingJuniorDepositProtocolFeeLpShares": "0",
"pendingSeniorWithdrawProtocolFeeLpShares": "0",
"pendingJuniorWithdrawProtocolFeeLpShares": "0"
},
"trancheAssetState": {
"seniorSyAmount": "603454414164",
"juniorSyAmount": "375718714089"
},
"riskConfig": {
"minCoverage": [
[
"125000000000",
"0",
"0",
"0"
]
],
"beta": [
[
"1000000000000",
"0",
"0",
"0"
]
],
"liquidationUtilization": [
[
"1200000000000",
"0",
"0",
"0"
]
],
"fixedTermDurationSec": 604800,
"minDepositAmount": "1",
"srSelfLiquidationBonus": [
[
"0",
"0",
"0",
"0"
]
],
"srNetAssetDustTolerance": [
[
"0",
"0",
"0",
"0"
]
],
"jrNetAssetDustTolerance": [
[
"0",
"0",
"0",
"0"
]
]
},
"protocolFeeConfig": {
"protocolFeeRecipient": "7fXDVWu2VaD51ipnm1N7C2U19bzWzuxb3Mz9fYEdQnmn",
"srProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"jrProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorReturnProtocolFee": [
[
"150000000000",
"0",
"0",
"0"
]
],
"seniorDepositProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorDepositProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"seniorWithdrawProtocolFee": [
[
"0",
"0",
"0",
"0"
]
],
"juniorWithdrawProtocolFee": [
[
"0",
"0",
"0",
"0"
]
]
},
"lastUpdatedSlot": "456892462",
"reservedPadding": [
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
],
"roles": {
"admin": [
"DheMp3RPekY4sfym67RrvHoCnyS1sMv8D23AR8tqweW7"
],
"sentinel": [
"DheMp3RPekY4sfym67RrvHoCnyS1sMv8D23AR8tqweW7"
]
},
"syCpiAccounts": {
"getSyState": [
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
},
{
"altIndex": 1,
"isSigner": false,
"isWritable": false
}
],
"depositSy": [
{
"altIndex": 4,
"isSigner": true,
"isWritable": true
},
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
}
],
"withdrawSy": [
{
"altIndex": 4,
"isSigner": true,
"isWritable": true
},
{
"altIndex": 0,
"isSigner": false,
"isWritable": true
}
],
"claimEmission": [],
"getPositionState": []
},
"returnModel": {
"__kind": "PiecewiseLinearCurve",
"fields": [
{
"points": [
"124294953454",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"126987562477",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"129680171499",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"132372780522",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"135065389544",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"137757998567",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"140450607590",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"143143216612",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"145835825635",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"148528434657",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"151221043680",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"153913652703",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"156606261725",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"159298870748",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"161991479770",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"164684088793",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"167376697815",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"170069306838",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"172761915861",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"175454524883",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"178147133906",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"180839742928",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"183532351951",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"186224960974",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"188917569996",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"191610179019",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"194205994906",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"196801810794",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"199397626682",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"201993442569",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"204589258457",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"207185074344",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"209780890232",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"212376706119",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"214972522007",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"217568337895",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"220164153782",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"222759969670",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"225355785557",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"227951601445",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"230547417332",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"233143233220",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"235739049108",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"238334864995",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"240930680883",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"243526496770",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"246122312658",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"248718128545",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"251313944433",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"253909760321",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"256505576208",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"268122676580",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"279739776952",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"291356877323",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"302973977695",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"314591078067",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"326208178439",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"337825278810",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"349442379182",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"361059479554",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"372676579926",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"384293680297",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"395910780669",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"407527881041",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"419144981413",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"430762081784",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"0",
"442379182156"
]
}
]
},
"syCpiAccountsResolved": {
"getSyState": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "2JqgD3RkGVUk62rrkULcNLS8y9qKgpd5VQfVF3PiMCdZ"
},
{
"isSigner": false,
"isWritable": false,
"pubkey": "5NF7dsQ1w3bP7BZ3twpMSFL5sJ3CgtuV9iCfLSpc3aSL"
}
],
"withdrawSy": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc"
},
{
"isSigner": false,
"isWritable": true,
"pubkey": "2JqgD3RkGVUk62rrkULcNLS8y9qKgpd5VQfVF3PiMCdZ"
}
],
"depositSy": [
{
"isSigner": false,
"isWritable": true,
"pubkey": "AsX2JXshsKwfekXBsGjAUTiJevBL6GWezxhNqe1gDwTc"
},
{
"isSigner": false,
"isWritable": true,
"pubkey": "2JqgD3RkGVUk62rrkULcNLS8y9qKgpd5VQfVF3PiMCdZ"
}
],
"claimEmission": [],
"getPositionState": []
},
"flavor": {
"flavor": "generic",
"currentSyExchangeRate": 1.024852939599,
"mintBase": "GNE6oDS6jHrfaV3GQVVCCp37fDnT7PiPuewMKBj2bqNm",
"baseTokenProgram": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"ixMintSy": "a=>f.ixMintSy(a)",
"ixRedeemSy": "a=>f.ixRedeemSy(a)",
"preIxs": "async({signer:b})=>f.getPreInstructions(a.connection,b)",
"postIxs": "async()=>[]",
"genericSyState": {
"selfAddress": "2JqgD3RkGVUk62rrkULcNLS8y9qKgpd5VQfVF3PiMCdZ",
"account": {
"mintSy": "5NF7dsQ1w3bP7BZ3twpMSFL5sJ3CgtuV9iCfLSpc3aSL",
"yieldBearingMint": "GNE6oDS6jHrfaV3GQVVCCp37fDnT7PiPuewMKBj2bqNm",
"tokenSyEscrow": "DDUMt9bExDCNXLatJGmmqqKbUhf8yWvfLihkLkMG944P",
"interfaceAccounts": [],
"interfaceType": {
"chainlinkDataStream": {
"feedHash": [
0,
7,
97,
133,
212,
183,
164,
150,
29,
185,
105,
169,
3,
83,
232,
74,
24,
160,
18,
83,
136,
83,
94,
109,
218,
15,
15,
174,
235,
78,
143,
81
],
"lastStreamedExchangeRate": {
"0": [
{
"negative": 0,
"words": [
33477455,
15271,
0
],
"length": 2,
"red": null
},
{
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
}
]
},
"decimals": 18,
"lastSlot": {
"negative": 0,
"words": [
54239278,
6,
0
],
"length": 2,
"red": null
},
"lastStreamedTimestamp": 1791992719,
"freshnessWindowSeconds": 7200
}
},
"initInterfaceType": {
"scope": {
"priceChain": [
451,
65535,
65535,
65535
],
"maximumAgeSeconds": {
"negative": 0,
"words": [
600,
0,
0
],
"length": 1,
"red": null
}
}
},
"lastInterfaceChangeTimestamp": 1787398937,
"index": {
"0": [
{
"negative": 0,
"words": [
22964432,
15271,
0
],
"length": 2,
"red": null
},
{
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
}
]
},
"maxSySupply": {
"negative": 0,
"words": [
67108863,
67108863,
4095
],
"length": 3,
"red": null
},
"minMintSize": {
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
},
"minRedeemSize": {
"negative": 0,
"words": [
0,
0,
0
],
"length": 1,
"red": null
},
"emissions": [],
"lastSlotCached": {
"negative": 0,
"words": [
54239278,
6,
0
],
"length": 2,
"red": null
},
"rateLimit": {
"timestamp": {
"negative": 0,
"words": [
47159622,
26
],
"length": 2,
"red": null
},
"windowSeconds": 86400,
"maxBpsUp": 1080,
"maxBpsDown": 2000
},
"hook": {
"enabled": false,
"interfaceEmissionsAccountsUntil": 0,
"preMintHookDiscriminator": [],
"postRedeemHookDiscriminator": [],
"programId": "11111111111111111111111111111111"
}
},
"tokenProgramBase": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"syRate": 1.024852939599,
"additionalData": null
},
"emissions": []
}
},
"seniorApy": 0.07899018213077492,
"juniorApy": 0.1283155946387623,
"seniorPointsBoost": null,
"juniorPointsBoosts": [],
"discoveryOrder": null,
"releaseDateUnixTs": 1787047167
}
]
{
"error": "<message>"
}
{
"error": "<message>"
}